#!/bin/perl

use strict;

my %config = ( "std::string" => ['"aaaaaa"','"bbbbbb"'],
               "int" => [0,20],
               "double" => [0.5,5] );
               
for my $k ( keys %config )
{
  my $name=$k;
  $name =~ s/[^\w]/_/g;
  print STDERR "Doing $name\n";
  my ($low,$hi)=@{$config{$k}};
  my $func=<<"EOF"
bool $name () 
{
  variable_set v;
  v.put("hiValue",$hi);
  v.put("lowValue",$low);
EOF
;


  $func.="\n}\n";

  print $func."\n";


}