#include <boost/logging/logger.hpp>
#include <boost/logging/conditions.hpp>
#include <boost/logging/sinks/ostream_sink.hpp>
namespace bl=boost::logging;

int main()
{
  bl::filter_action::ptr sink(new bl::sinks::ostream_sink(std::cout));
  bl::logger<> log(sink);
  log << "Default<Test> " << " default<fail>\n"
      << bl::severity::debug() << "debug(succeed) debug(f=" <<12.1234678 << ")\n"
      << bl::severity::warning() << "warn(1234) " << "warn(asfd) warn(f=" <<21.1234678 << ")\n"
      << bl::severity::error() << "error(i=" << 45 << ") error (text here)\n" << bl::end_record();

  return 0;
}


